IntegrationsShopify

Get one customer with the first 10 addresses, marketing consent, order statistics and 25 metafields.

POST
/integrations/connections/{connection_id}/providers/shopify/customers/get

Get one customer with the first 10 addresses, marketing consent, order statistics and 25 metafields.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/shopify/customers/get" \  -H "Content-Type: application/json" \  -d '{    "customer_id": "example"  }'
{  "id": "example",  "display_name": "example",  "first_name": "example",  "last_name": "example",  "email": "ada@example.com",  "phone": "example",  "state": "example",  "verified_email": false,  "number_of_orders": 0,  "amount_spent": {    "amount": "example",    "currency_code": "example"  },  "tags": [],  "locale": "example",  "email_marketing_state": "example",  "default_address": {    "name": "Customer documents",    "company": "example",    "address1": "example",    "address2": "example",    "city": "example",    "province_code": "example",    "country_code": "example",    "zip": "example",    "phone": "example"  },  "last_order": {    "id": "example",    "name": "Customer documents"  },  "created_at": "example",  "updated_at": "example",  "note": "example",  "addresses": [],  "metafields": []}